<?php
/**
 *
 * @package phpBB Extension - Manage Attachments
 * @copyright (c) 2018 Picaron
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
        // ACP
        'ACP_DISPLAY_INSTALL_ERROR'         => 'Manage Attachments can not be installed. It requires phpBB 3.2.4 or later.',
        'ACP_MANAGE_CONFIG'                 => 'Manage',
        'ACP_MANAGE_ATTACHMENTS'            => 'Manage Attachments',
        'ACP_MANAGE_ATTACHMENTS_VERSION'    => 'Extension Version',
        'ACP_MANAGE_ATTACHMENTS_EXPLAIN'    => 'Here you can manage the attachments to the publications. You can delete the files or reassign them to existing publications. Reassignment to publications requires a valid publication ID, you must determine this ID for yourself. This will reassign the attachment already assigned to the post you entered.',
        'LOG_ATTACH_DEL'                    => '<strong>Deleted Attachments</strong><br /><br />» %s',
        'LOG_ATTACH_REASSIGNED'             => '<strong>Attachment "%2$s"<br />reassigned to Message with ID » %1$d</strong>',
        'LOG_ATTACH_ERROR_REASSIGNED'       => '<strong>ERROR: Attachment “%2$s”<br />has not been reassigned to Message with ID » %1$d</strong>',
        'TOTAL_SIZE'                        => 'Total Size',
        'DOWNLOADS'                         => 'Downloads',
        'ATTACH_POST_ID'                    => 'Message ID',
        'ATTACH_TO_POST'                    => 'Attach file to message',
        'UPLOADING_FILES'                   => 'Reassign Attached Files',
        'UPLOADING_FILE_TO'                 => 'Reassigning File “%1$s” to the Forum: “%2$s” :: Subject: “%3$s” :: Message: “%4$d”',
        'UPLOAD_DENIED_FORUM'               => 'ATTENTION: You do not have permission to manage attachments in the forum “%s”.',
        'UPLOAD_TOPIC_UNKNOWN'              => 'ERROR: Message “%s” selected as destination, does not exist.',
        'SUCCESSFULLY_UPLOADED'             => 'Reassigned attachment with success !!!',
));
?>