<?php
/**
 *
 * @package phpBB Extension - Manage Attachments
 * @copyright (c) 2018 Picaron
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
        // ACP
        'ACP_DISPLAY_INSTALL_ERROR'         => 'Manage Attachments no se puede instalar. Se requiere phpBB 3.2.4 o posterior.',
        'ACP_MANAGE_CONFIG'                 => 'Gestionar',
        'ACP_MANAGE_ATTACHMENTS'            => 'Gestionar Adjuntos',
        'ACP_MANAGE_ATTACHMENTS_VERSION'    => 'Versión de Extensión',
        'ACP_MANAGE_ATTACHMENTS_EXPLAIN'    => 'Aquí puede gestionar los archivos adjuntos a las publicaciones. Puede eliminar los archivos o reasignarlos a las publicaciones existentes. La reasignación a las publicaciones requiere una ID de publicación válida, usted debe determinar esta ID por sí mismo. Esto reasignará el archivo adjunto ya asignado a la publicación que ingresó.',
        'LOG_ATTACH_DEL'                    => '<strong>Adjuntos Eliminados</strong><br /><br />» %s',
        'LOG_ATTACH_REASSIGNED'             => '<strong>Adjunto “%2$s”<br />reasignado al Mensaje con ID » %1$d</strong>',
        'LOG_ATTACH_ERROR_REASSIGNED'       => '<strong>ERROR: Adjunto “%2$s”<br />no se ha reasignado al Mensaje con ID » %1$d</strong>',
        'TOTAL_SIZE'                        => 'Tamaño total',
        'DOWNLOADS'                         => 'Descargas',
        'ATTACH_POST_ID'                    => 'ID del Mensaje',
        'ATTACH_TO_POST'                    => 'Adjuntar archivo a mensaje',
        'UPLOADING_FILES'                   => 'Reasignar Archivos Adjuntos',
        'UPLOADING_FILE_TO'                 => 'Reasignando Archivo “%1$s” al Foro: “%2$s” :: Asunto: “%3$s” :: Mensaje: “%4$d”',
        'UPLOAD_DENIED_FORUM'               => 'ATENCION: No tienes permisos para gestionar adjuntos en el foro “%s”.',
        'UPLOAD_TOPIC_UNKNOWN'              => 'ERROR: El Mensaje “%s” seleccionado como destino, no existe.',
        'SUCCESSFULLY_UPLOADED'             => '¡¡¡ Adjunto Reasignado con Exito !!!',
));
?>